Bug 445970 - Review Request: g2ipmsg - IP Messenger for GNOME 2
Review Request: g2ipmsg - IP Messenger for GNOME 2
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Randall "Randy" Berry
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-05-10 14:53 EDT by Miao ZhiCheng
Modified: 2009-01-24 23:31 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-24 23:31:25 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
randyn3lrx: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Miao ZhiCheng 2008-05-10 14:53:07 EDT
Spec URL: http://linuxfire.com.cn/~hellwolf/software/g2ipmsg/g2ipmsg.spec
SRPM URL: http://linuxfire.com.cn/~hellwolf/software/g2ipmsg/g2ipmsg-0.9.6-0.1.src.rpm
Description: 
This package contains IP Messenger for the GNOME2 desktop environment.

  IP Messenger is a pop up style message communication software for
multi platforms. It is based on TCP/IP(UDP).

  Win, Win16, Mac/MacOSX, X11R6/GTK/GNOME, Java, Div version and
all source is open to public. You can get in the following URL.
http://www.ipmsg.org/index.html.en
Comment 1 Randall "Randy" Berry 2008-10-13 21:47:30 EDT
Practice Review:

rpmlint not silent..
g2ipmsg.src: W: summary-ended-with-dot IP Messenger for GNOME 2.
g2ipmsg.src: W: invalid-license GPL
g2ipmsg.i386: W: spurious-executable-perm /usr/share/doc/g2ipmsg-0.9.6/COPYING
g2ipmsg.i386: W: conffile-without-noreplace-flag /etc/gconf/schemas/g2ipmsg.schemas

spec file does not include full url for source
source of version 0.9.6 not available from included website
Source does not include the full GPL license

Other than the above issues I was able to build with mock and rpmbuild.
The package installs and runs fine.
Comment 2 Gwyn Ciesla 2008-10-14 10:52:12 EDT
In addition to #2, I would add:

The the license looks more like BSD than GPL.

Desktop file is handled incorrectly:
https://fedoraproject.org/wiki/Packaging/Guidelines#desktop

That's just a cursory look.
Comment 3 Gwyn Ciesla 2008-10-14 11:03:41 EDT
Also, a mock build indicates no BuildRequire problems.
Comment 4 Miao ZhiCheng 2008-10-14 18:11:31 EDT
Spec: http://linuxfire.com.cn/~hellwolf/software/g2ipmsg/g2ipmsg.spec
SRPM: http://linuxfire.com.cn/~hellwolf/software/g2ipmsg/g2ipmsg-0.9.6-0.2.src.rpm

Updated,
* Tue Oct 14 2008 ZC Miao <hellwolf@hellwolf-sony.freehell.org> - 0.9.6-0.2
- Change to correct license
- Requires GConf2 in pre/post/preun
- permission of docs shoud be 644
- summary without dot

f9 mock built successfully.
Comment 5 Randall "Randy" Berry 2008-10-15 18:27:33 EDT
[*] OK
[x] Fail (see comment)
[o] Not Applicable
[?] Questions

[*] MUST: rpmlint must be run on every package. The output should be posted in
    the review.

    Clean 3 packages and 0 specfiles checked; 0 errors, 0 warnings.

[x] MUST: The package must be named according to the Package Naming Guidelines.

    Release: 0.2 should be Release: 2%{dist} to conform with package naming
    guidelines found here:
    > http://fedoraproject.org/wiki/Packaging/NamingGuidelines <

[*] MUST: The spec file name must match the base package %{name}, in the format 
    %{name}.spec unless your package has an exemption on Package Naming
    Guidelines.

[x] MUST: The package must meet the Packaging Guidelines.

    When errors are fixed it will meet guidelines.

[*] MUST: The package must be licensed with a Fedora approved license and meet
    the Licensing Guidelines.

[*] MUST: The License field in the package spec file must match the actual
    license.

[*] MUST: If (and only if) the source package includes the text of the
    license(s) in its own file, then that file, containing the text of the
    license(s) for the package must be included in %doc.

[*] MUST: The spec file must be written in American English.

[*] MUST: The spec file for the package MUST be legible. If the reviewer is
    unable to read the spec file, it will be impossible to perform a review.
    Fedora is not the place for entries into the Obfuscated Code Contest
    (http://www.ioccc.org/).

[?] MUST: The sources used to build the package must match the upstream source,
    as provided in the spec URL. Reviewers should use md5sum for this task. If
    no upstream URL can be specified for this package, please see the Source
    URL Guidelines for how to deal with this.

    Source0 still lacks a valid download URL 
    "Source0: This must be working upstream source tarball download link."
    Exceptions to this rule can found here:
    > https://fedoraproject.org/wiki/Packaging/SourceURL <
    Please comment here your valid exception for not providing a full link.
    
[*] MUST: The package must successfully compile and build into binary rpms on
    at least one supported architecture.
    
    Package successful mock build on F-9 and Rawhide (i386) and run on F-9

[o] MUST: If the package does not successfully compile, build or work on an
    architecture, then those architectures should be listed in the spec in
    ExcludeArch. Each architecture listed in ExcludeArch needs to have a bug
    filed in bugzilla, describing the reason that the package does not
    compile/build/work on that architecture. The bug number should then be
    placed in a comment, next to the corresponding ExcludeArch line. New
    packages will not have bugzilla entries during the review process,
    so they should put this description in the comment until the package is
    approved, then file the bugzilla entry, and replace the long explanation
    with the bug number. The bug should be marked as blocking one (or more) of
    the following bugs to simplify tracking such issues: FE-ExcludeArch-x86 ,
    FE-ExcludeArch-x64 , FE-ExcludeArch-ppc , FE-ExcludeArch-ppc64

[*] MUST: All build dependencies must be listed in BuildRequires, except for
    any that are listed in the exceptions section of the Packaging Guidelines;
    inclusion of those as BuildRequires is optional. Apply common sense.

[*] MUST: The spec file MUST handle locales properly. This is done by using the
    %find_lang macro. Using %{_datadir}/locale/* is strictly forbidden.

[o] MUST: Every binary RPM package which stores shared library files (not just
    symlinks) in any of the dynamic linker's default paths, must call ldconfig
    in %post and %postun. If the package has multiple subpackages with 
    libraries, each subpackage should also have a %post/%postun section that
    calls /sbin/ldconfig.An example of the correct syntax for this is:

    %post -p /sbin/ldconfig

    %postun -p /sbin/ldconfig

[*] MUST: If the package is designed to be relocatable, the packager must state
    this fact in the request for review, along with the rationalization for
    relocation of that specific package. Without this, use of Prefix: /usr is
    considered a blocker.

[*] MUST: A package must own all directories that it creates. If it does not
    create a directory that it uses, then it should require a package which
    does create that directory. Refer to the Guidelines for examples.

[*] MUST: A package must not contain any duplicate files in the %files listing.

[*] MUST: Permissions on files must be set properly. Executables should be set
    with executable permissions, for example. Every %files section must include
    a %defattr(...) line.

[*] MUST: Each package must have a %clean section, which contains rm -rf
    %{buildroot} ( or $RPM_BUILD_ROOT ).

[*] MUST: Each package must consistently use macros, as described in the macros
    section of Packaging Guidelines.
    
    Some inconsistencies in the use of the %{name} macro. But in this case some
    may consider using macros in all instances overkill. 

[*] MUST: The package must contain code, or permissable content. This is
    described in detail in the code vs. content section of Packaging
    Guidelines.

[*] MUST: Large documentation files should go in a -doc subpackage. (The
    definition of large is left up to the packager's best judgement, but is not
    restricted to size. Large can refer to either size or quantity.)

[*] MUST: If a package includes something as %doc, it must not affect the
    runtime of the application. To summarize: If it is in %doc, the program
    must run properly if it is not present.

[o] MUST: Header files must be in a -devel package.

[o] MUST: Static libraries must be in a -static package.

[o] MUST: Packages containing pkgconfig(.pc) files must 'Requires: pkgconfig'
    (for directory ownership and usability).

[o] MUST: If a package contains library files with a suffix
    (e.g. libfoo.so.1.1), then library files that end in .so
    (without suffix) must go in a -devel package.

[o] MUST: In the vast majority of cases, devel packages must require the base
    package using a fully versioned dependency:
    Requires: %{name} = %{version}-%{release}

[*] MUST: Packages must NOT contain any .la libtool archives, these should be
    removed in the spec.

[*] MUST: Packages containing GUI applications must include a %{name}.desktop
    file, and that file must be properly installed with desktop-file-install
    in the %install section. This is described in detail in the desktop files
    section of the Packaging Guidelines . If you feel that your packaged GUI
    application does not need a .desktop file, you must put a comment in the
    spec file with your explanation.

[*] MUST: Packages must not own files or directories already owned by other
    packages. The rule of thumb here is that the first package to be installed
    should own the files or directories that other packages may rely upon. This
    means, for example, that no package in Fedora should ever share
    ownership with any of the files or directories owned by the filesystem
    or man package. If you feel that you have a good reason to own a file or
    directory that another package owns, then please present that at package
    review time.

[*] MUST: At the beginning of %install, each package MUST run
    rm -rf %{buildroot} ( or $RPM_BUILD_ROOT ). See Prepping BuildRoot For
    %install for details.

[*] MUST: All filenames in rpm packages must be valid UTF-8.
Comment 7 Miao ZhiCheng 2008-10-28 16:53:17 EDT
Sorry, still had problem, new fixes:

SPEC: http://linuxfire.com.cn/~hellwolf/software/g2ipmsg/g2ipmsg.spec
SRPM:
http://linuxfire.com.cn/~hellwolf/software/g2ipmsg/g2ipmsg-0.9.6-2.fc9.src.rpm

ChangeLog:
* Tue Oct 28 2008 ZC Miao <hellwolf.misty@gmail.com> - 0.9.6-2
- Fix Release TAG
- add Source url reference
Comment 8 Randall "Randy" Berry 2008-10-30 13:57:23 EDT
rpmlint: 3 packages and 0 specfiles checked; 0 errors, 0 warnings.

Everything looks good. Successful build on F9 and Rawhide (i386)
Comment 9 Miao ZhiCheng 2008-10-30 16:28:11 EDT
New Package CVS Request
=======================
Package Name: g2ipmsg
Short Description: IP Messenger for GNOME 2
Owners: hellwolf
Branches: F-9
InitialCC: hellwolf
Comment 10 Kevin Fenzi 2008-10-31 12:57:58 EDT
The Review Request title here has "g2ipmsg2" is that a typo and it should be "g2ipmsg" ?
Comment 11 Miao ZhiCheng 2008-10-31 13:12:31 EDT
Oops, the title should be a typo
Comment 12 Kevin Fenzi 2008-11-01 13:36:38 EDT
Thanks for fixing that. 

cvs done.

Note You need to log in before you can comment on or make changes to this bug.